// NF startup
#include "pch.h"

#include "nf/EngineConfig.h"
#include "version.h"
#include "util.h"

namespace nf {
    void runEngine(EngineConfig config) {
        std::string engineStr = std::format("Nothin' Fancy {}", NFVERSION);
        std::string gameStr = std::format("{} {}", config.appName, config.appVersion);
        NFLog(engineStr);
        NFLog(std::format("Starting {}", gameStr));

#ifdef _DEBUG
        SetThreadDescription(GetCurrentThread(), L"NF Main Thread");
        SetConsoleTitle(std::format("{} Debug Console - {}", engineStr, gameStr).c_str());
#endif
        {
            NFTime();
            std::this_thread::sleep_for(std::chrono::seconds(1));
            NFLog("Test!");
        }

        std::cin.get();
    }
}
