// NF main public header
#pragma once

#include "nf/EngineConfig.h"

namespace nf {
    struct CommandLineArguments {
        int argc;
        char** argv;
    };

    EngineConfig configureEngine(CommandLineArguments cmdArgs);

    void runEngine(EngineConfig config);
}

// NF entry point
#ifdef NFENTRY

int main(int argc, char* argv[]) {
    nf::EngineConfig config = nf::configureEngine({ argc, argv });

    nf::runEngine(config);

    return 0;
}

#endif
